Benötige hilfe bei der Installation....

Support für das kostenlose Rechnungsprogramm (open3A)
Antworten
chrisitanh
Beiträge: 5
Registriert: 29.Mai.2019, 18:26

Benötige hilfe bei der Installation....

Beitrag von chrisitanh » 29.Mai.2019, 18:39

Hallo Zusammen!

Ich würde gerne das Rechnungsprogramm mal testen und würde es gerne auf eine Raspberry Pi3 installieren...
Bin dazu her gegangen und habe den Raspberry vorbereitet wie auf https://bitreporter.de/raspberrypi/webs ... einrichten beschrieben also mit Apache Webserver; MySQL, PHP und dann noch Wordpress ( da ich auch eine Homepage erstellen möchte...)

Dann habe ich noch proftpd installiert (wie auf https://raspberry.tips/server-2/raspber ... -betreiben) und auch auch alles genau so wie auf den beiden Homepages beschrieben konfiguriert.

Dann habe ich Open3A via ftp auf den Raspberry übertragen und rechte vergeben... hat ja auch noch funktioniert...
Nun wollte ich das Programm erstmalig aufrufen in meinem fall dann 192.168.1.205/upload/20190601 (Verzeichnis am Raspberry)

Aber irgendwie funktionierts nicht ... kann mir wer einen tipp geben wie ich das Programm ans laufen bekomme?

chrisitanh
Beiträge: 5
Registriert: 29.Mai.2019, 18:26

Re: Benötige hilfe bei der Installation....

Beitrag von chrisitanh » 29.Mai.2019, 19:15

Noch eine Ergänzung... Nicht laufen deshalb wenn ich die Seite Aufrufe bekomme ich im Browser die Meldung Seite nicht erreichbar... Muss ich in Apache einstellen dass auch noch andere Ordner eine index.php enthalten bzw. Wie mach ich das?

chrisitanh
Beiträge: 5
Registriert: 29.Mai.2019, 18:26

Re: Benötige hilfe bei der Installation....

Beitrag von chrisitanh » 30.Mai.2019, 10:59

kann es sein dass ich den Arbeitsordner ins var/www/html legen muss? Und wie bekomme ich die Datein rüber .. habe sie ursprünglich mit ftpuser ins verzeichnis var/www/upload/ geladen ... hat natürlich den Benutzer von FTPUSER übernommen und lässt sich deshalb auch nicht ins Verzeichnis var/www/html/

chrisitanh
Beiträge: 5
Registriert: 29.Mai.2019, 18:26

Re: Benötige hilfe bei der Installation....

Beitrag von chrisitanh » 30.Mai.2019, 11:18

habs entlich hinbekommen dass das verzeichnis im für Apache lesbaren ornder ist... jetzt bekomme ich die Fehlermeldung beim Aufrufen:
Fatal error: Uncaught Error: Call to undefined function xml_parser_create() in /var/www/html/Rechnung/classes/backend/XMLPlugin.class.php:64 Stack trace: #0 /var/www/html/Rechnung/classes/backend/XMLPlugin.class.php(43): XMLPlugin->parse(Array) #1 /var/www/html/Rechnung/classes/frontend/AppPlugins.class.php(153): XMLPlugin->__construct('/var/www/html/R...', Array) #2 /var/www/html/Rechnung/classes/frontend/AppPlugins.class.php(52): AppPlugins->scanPlugins(NULL) #3 /var/www/html/Rechnung/classes/frontend/AppPlugins.class.php(48): AppPlugins->__construct() #4 /var/www/html/Rechnung/classes/backend/Session.class.php(48): AppPlugins::init() #5 /var/www/html/Rechnung/system/connect.php(234): Session::init() #6 /var/www/html/Rechnung/index.php(95): require('/var/www/html/R...') #7 {main} thrown in /var/www/html/Rechnung/classes/backend/XMLPlugin.class.php on line 64

chrisitanh
Beiträge: 5
Registriert: 29.Mai.2019, 18:26

Re: Benötige hilfe bei der Installation....

Beitrag von chrisitanh » 30.Mai.2019, 11:54

Juhu scheint nun langsam zu laufen zu beginnen...
Kann nun die Seite Aufrufen bekomme aber eine Fehlermeldung wie folgt...

Fehler -1

Benutzername / Passwort: ..... hätte ich beim ersten mal jeweils Admin verwendet ... was aber nicht geht ....

Support
Administrator
Beiträge: 3124
Registriert: 24.Okt.2007, 23:59

Re: Benötige hilfe bei der Installation....

Beitrag von Support » 17.Jun.2019, 21:02

Hallo,

so wie im Blog beschrieben müsste es immer noch klappen: https://www.open3a.de/2017/11/open3a-27 ... spberry-pi
Also vermutlich ist die PHP-Version inzwischen 7.2 oder 7.3 und der open3A-Link lautet https://www.open3a.de/multiCMSDownload.php?filedl=103

Liebe Grüße
Nena

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 6 Gäste